libqapt-dev_3.0.4-0ubuntu1_i386.deb


Advertisement

Description

libqapt-dev - Development headers for the QApt library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libqapt-dev
Package version 3.0.4
Package release 0ubuntu1
Package architecture i386
Package type deb
Installed size 184 B
Download size 27.42 KB
Official Mirror archive.ubuntu.com
LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
implementation using libapt-pkg. The aim is to provide a sane API for
package management to ease the development of package managers written in Qt
and C++
This package contains the development headers for the QApt library

Alternatives

Package Version Architecture Repository
libqapt-dev_3.0.4-0ubuntu1_amd64.deb 3.0.4 amd64 Ubuntu Universe
libqapt-dev - - -

Requires

Name Value
libapt-pkg-dev -
libqapt3 = 3.0.4-0ubuntu1
qtbase5-dev >= 5.2.0

Download

Type URL
Binary Package libqapt-dev_3.0.4-0ubuntu1_i386.deb
Source Package libqapt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqapt-dev deb package:
    # sudo apt-get install libqapt-dev

Files

Path
/usr/include/QApt/Backend
/usr/include/QApt/Changelog
/usr/include/QApt/Config
/usr/include/QApt/DebFile
/usr/include/QApt/DependencyInfo
/usr/include/QApt/DownloadProgress
/usr/include/QApt/Globals
/usr/include/QApt/History
/usr/include/QApt/MarkingErrorInfo
/usr/include/QApt/Package
/usr/include/QApt/SourceEntry
/usr/include/QApt/SourcesList
/usr/include/QApt/Transaction
/usr/include/qapt/backend.h
/usr/include/qapt/changelog.h
/usr/include/qapt/config.h
/usr/include/qapt/debfile.h
/usr/include/qapt/dependencyinfo.h
/usr/include/qapt/downloadprogress.h
/usr/include/qapt/globals.h
/usr/include/qapt/history.h
/usr/include/qapt/markingerrorinfo.h
/usr/include/qapt/package.h
/usr/include/qapt/qaptversion.h
/usr/include/qapt/sourceentry.h
/usr/include/qapt/sourceslist.h
/usr/include/qapt/transaction.h
/usr/lib/i386-linux-gnu/libQApt.so
/usr/lib/i386-linux-gnu/cmake/QApt/QAptConfig.cmake
/usr/lib/i386-linux-gnu/cmake/QApt/QAptConfigVersion.cmake
/usr/lib/i386-linux-gnu/cmake/QApt/QAptTargets-debian.cmake
/usr/lib/i386-linux-gnu/cmake/QApt/QAptTargets.cmake
/usr/lib/i386-linux-gnu/pkgconfig/libqapt.pc
/usr/lib/i386-linux-gnu/qt5/mkspecs/modules/qt_QApt.pri
/usr/share/doc/libqapt-dev/changelog.Debian.gz
/usr/share/doc/libqapt-dev/copyright

Changelog

2018-03-20 - Rik Mills <rikmills@kubuntu.org>
libqapt (3.0.4-0ubuntu1) bionic; urgency=medium
* New upstream bugfix release (3.0.4)
* Drop upstream applied patch:
- upstream_not-check-status-file-for-timestamp.patch
2018-02-26 - Rik Mills <rikmills@kubuntu.org>
libqapt (3.0.3-2ubuntu2) bionic; urgency=medium
* debian/patches: upstream_not-check-status-file-for-timestamp.patch
Upstream patch to prevent excessive update-apt-xapian-index index
rebuilds by Muon (LP: #1741767) & KDE Bug: 390476
2017-12-28 - Rik Mills <rikmills@kubuntu.org>
libqapt (3.0.3-2ubuntu1) bionic; urgency=medium
* Merge with debian;remaining changes
- Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
avoid possible spurious test failures.
- Keep kubuntu Vcs fields
- Recommends on apt-xapian-index
2017-12-23 - Pino Toscano <pino@debian.org>
libqapt (3.0.3-2) unstable; urgency=medium
* Team upload.
* Bump Standards-Version to 4.1.2, no changes required.
* Bump Priority of transitional gstreamer0.10-qapt to optional.
* Switch libqapt3 to section libs.
* Update symbols file.
* Switch the transitional plasma-framework-dev build dependency to
libkf5plasma-dev.
* Use also the dh pkgkde_symbolshelper addon to handle symbols file with
substitutions.
* Update lintian overrides.
* Use https in the watch file.
2017-06-22 - Rik Mills <rikmills@kubuntu.org>
libqapt (3.0.3-1ubuntu1) artful; urgency=medium
* Merge with debian;remaining changes
- Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
avoid possible spurious test failures.
- Keep kubuntu Vcs fields
- Recommends on apt-xapian-index
2017-06-18 - Pino Toscano <pino@debian.org>
libqapt (3.0.3-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Change the priority of the transitional gstreamer0.10-qapt to extra.
* Mark libqapt3 and libqapt-dev as "Multi-Arch: same".
* Remove debian/TODO, obsolete now.
* Fix path to qapt-gst-helper passed to update-alternatives in postinst
and prerm of gstreamer-qapt.
* Replace the deprecated kio-dev build dependency with libkf5kio-dev.
* Remove unused meta/upstream_scm.json file.
* Remove qapt-dbg in favour of the -dbgsym packages.
* Update the patches:
- upstream_include-random-for-std-default_random_engine.patch: drop,
backported from upstream
* Switch Homepage to the upstream VCS, since projects.kde.org is dead.
2016-05-15 - Pino Toscano <pino@debian.org>
libqapt (3.0.2-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Update Vcs-* fields.
* Small update to copyright.
* Update symbols file.
* Backport upstream commit a58eab74ee9881d10e0f24a3ed216ed71ba03bf5 to fix
build; patch upstream_include-random-for-std-default_random_engine.patch.
(Closes: #822497)
* Link in as-needed mode.
* Bump Standards-Version to 3.9.8, no changes required.
2017-04-06 - Rik Mills <rikmills@kubuntu.org>
libqapt (3.0.3-0ubuntu1) zesty; urgency=medium
[ Rik Mills ]
* debian/patches: drop upstream_include-random-for-std-default_random_engine.patch
applied upstream.
* Update to new build depend name: kio-dev -> libkf5kio-dev
* New upstream bugfix release (3.0.3)
2017-03-24 - Rik Mills <rikmills@kubuntu.org>
libqapt (3.0.2-0ubuntu6) UNRELEASED; urgency=medium
* debian/patches: drop upstream_include-random-for-std-default_random_engine.patch
applied upstream.
2017-03-24 - Rik Mills <rikmills@kubuntu.org>
libqapt (3.0.2-0ubuntu5) zesty; urgency=medium
* Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
avoid possible spurious test failures.

See Also

Package Description
libqapt3-runtime_3.0.4-0ubuntu1_i386.deb Runtime components for the QApt library
libqapt3_3.0.4-0ubuntu1_i386.deb QApt library package
libqbscore1.10_1.10.1+dfsg-1_i386.deb Qbs core library
libqbsqtprofilesetup1.10_1.10.1+dfsg-1_i386.deb Qbs profile setup library
libqca-qt5-2-dev_2.1.3-2ubuntu2_i386.deb development files for the Qt Cryptographic Architecture
libqca-qt5-2-plugins_2.1.3-2ubuntu2_i386.deb QCA plugins for libqca2
libqca-qt5-2_2.1.3-2ubuntu2_i386.deb libraries for the Qt Cryptographic Architecture
libqca2-dev_2.1.3-2ubuntu2_i386.deb development files for the Qt Cryptographic Architecture
libqca2-doc_2.1.3-2ubuntu2_all.deb API documentation for the Qt Cryptographic Architecture
libqca2-plugins_2.1.3-2ubuntu2_i386.deb QCA plugins for libqca2
libqca2_2.1.3-2ubuntu2_i386.deb libraries for the Qt Cryptographic Architecture
libqcow-dev_20170222-3_i386.deb QEMU Copy-On-Write image format access library -- development files
libqcow-utils_20170222-3_i386.deb QEMU Copy-On-Write image format access library -- Utilities
libqcow1_20170222-3_i386.deb QEMU Copy-On-Write image format access library
libqcustomplot-dev_1.3.2+dfsg1-1_i386.deb Qt C++ widget for plotting. Header
Advertisement
Advertisement